質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.53%
WordPress

WordPressは、PHPで開発されているオープンソースのブログソフトウェアです。データベース管理システムにはMySQLを用いています。フリーのブログソフトウェアの中では最も人気が高く、PHPとHTMLを使って簡単にテンプレートをカスタマイズすることができます。

PHP

PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

プラグイン

プラグイン(plug-in)は、ソフトウェアアプリケーションの機能拡張の為に開発された、一組のソフトウェアコンポーネントのことを指します。

Q&A

1回答

512閲覧

wordpress httpエラー

yu1122

総合スコア0

WordPress

WordPressは、PHPで開発されているオープンソースのブログソフトウェアです。データベース管理システムにはMySQLを用いています。フリーのブログソフトウェアの中では最も人気が高く、PHPとHTMLを使って簡単にテンプレートをカスタマイズすることができます。

PHP

PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

プラグイン

プラグイン(plug-in)は、ソフトウェアアプリケーションの機能拡張の為に開発された、一組のソフトウェアコンポーネントのことを指します。

0グッド

0クリップ

投稿2023/10/22 03:34

実現したいこと

ここに実現したいことを箇条書きで書いてください。

  • wordpressプラグインをバージョンアップ

-画像のアップロード

前提

wordpressのプラグインをアップロードしようとすると
下記のようなエラーがでます。
cURL error 35: error:1407742E:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version

また、画像をアップロードしようとするとHTTPエラーとでてしまいます。

しらべてみると下記のサイトがありましたので、サイトに書いてある通りに
http-class.phpの'sslverify' => false,に書き換えましたがだめでした。
https://olein-design.com/blog/wordpress-install-download-error-changed-class-http-file

openSSLのバージョンが低いのが原因かと思うのですが、
サイト自体は、SSL化をしていないのに
なぜこのエラーがでるのでしょうか。。

よろしければ、教えてください。

発生している問題・エラーメッセージ

cURL error 35: error:1407742E:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version

該当のソースコード

PHP HTML

試したこと

プラグインの停止

補足情報(FW/ツールのバージョンなど)

wordpress 5.1
php 5.3

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

fareastnoise

2023/10/23 18:45

古いサーバー環境とWordPressが対応していない旧いバージョンのPHPでなおかつ旧いバージョンのWordPressを使用していることに原因があるのだろうと推測しますが、この状態でWordPressを利用したい理由は何かありますでしょうか?
guest

回答1

0

まず前提として、現在は 多くの Web サイトが常時SSL化されています。
Wordpress のWebサイト( https://wordpress.org/ ) も同様で、常時 SSL 化されています。

SSL化されていない WordPress 公式サイトの URL ( http://wordpress.org/ )にアクセスすると

HTTP/1.1 301 Moved Permanently Server: nginx Date: Sat, 28 Oct 2023 00:13:12 GMT Content-Type: text/html Content-Length: 162 Connection: keep-alive Location: https://wordpress.org/ <html> <head><title>301 Moved Permanently</title></head> <body> <center><h1>301 Moved Permanently</h1></center> <hr><center>nginx</center> </body> </html>

のように 301 Moved Permanently と帰ってきて、SSL化された WordPress公式サイトの URL ( https://wordpress.org/ )にリダイレクトされます。


wordpressのプラグインをアップロードしようとすると
下記のようなエラーがでます。
cURL error 35: error:1407742E:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version

ご自身の WordPress が、SSL 化されていない場合でも WordPress 本体 や プラグイン ・テーマファイル の「更新チェック」や「アップデート」のために WordPress は、定期的に WordPress 公式Webサイトに接続して最新バージョンを確認・取得しています。

管理画面にログインすると「WordPress 6.3.2 が利用可能です ! 今すぐ更新してください。」のように表示されるのは、 WordPress のWebサイトから更新情報を取得してきて表示しています。

最初に記載したように WordPress 公式サイトは常時 SSL化されているため、SSLでしか接続できません。
「更新チェック」や「アップデート」のタイミングで、 WordPress 公式サイトに SSL を用いてアクセスされますので、上記のエラーが発生するのではないかと思います。

エラーが出る原因は、PHP で使用している OpenSSL のバージョンが古いためと思います。
対策としては、 Web サーバの OpenSSL や PHP のバージョンをアップデートするしか方法はないと思います。

投稿2023/10/28 00:25

CHERRY

総合スコア25148

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

まだベストアンサーが選ばれていません

会員登録して回答してみよう

アカウントをお持ちの方は

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.53%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問